## org.h2.tools
Class SimpleResultSet.SimpleArray

    java.lang.Object
      org.h2.tools.SimpleResultSet.SimpleArray

All Implemented Interfaces:
  java.sql.Array

Enclosing class:
  SimpleResultSet

    public static class SimpleResultSet.SimpleArray

extends java.lang.Object
implements java.sql.Array

A simple array implementation, backed by an object array

Method Summary
`void` `free()` INTERNAL
`java.lang.Object` `getArray()` Get the object array.
`java.lang.Object` `getArray(long index, int count)` INTERNAL
`java.lang.Object` `getArray(long index, int count, java.util.Map<java.lang.String,java.lang.Class<?>> map)` INTERNAL
`java.lang.Object` `getArray(java.util.Map<java.lang.String,java.lang.Class<?>> map)` INTERNAL
`int` `getBaseType()` Get the base type of this array.
`java.lang.String` `getBaseTypeName()` Get the base type name of this array.
`java.sql.ResultSet` `getResultSet()` INTERNAL
`java.sql.ResultSet` `getResultSet(long index, int count)` INTERNAL
`java.sql.ResultSet` `getResultSet(long index, int count, java.util.Map<java.lang.String,java.lang.Class<?>> map)` INTERNAL
`java.sql.ResultSet` `getResultSet(java.util.Map<java.lang.String,java.lang.Class<?>> map)` INTERNAL

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getArray

    public java.lang.Object getArray()

  Get the object array.

  Specified by:
    `getArray` in interface `java.sql.Array`
  Returns:
    the object array

### getArray

    public java.lang.Object getArray(java.util.Map<java.lang.String,java.lang.Class<?>> map)
                              throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getArray` in interface `java.sql.Array`
  Throws:
    `java.sql.SQLException`

### getArray

    public java.lang.Object getArray(long index,
                                     int count)
                              throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getArray` in interface `java.sql.Array`
  Throws:
    `java.sql.SQLException`

### getArray

    public java.lang.Object getArray(long index,
                                     int count,
                                     java.util.Map<java.lang.String,java.lang.Class<?>> map)
                              throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getArray` in interface `java.sql.Array`
  Throws:
    `java.sql.SQLException`

### getBaseType

    public int getBaseType()

  Get the base type of this array.

  Specified by:
    `getBaseType` in interface `java.sql.Array`
  Returns:
    Types.NULL

### getBaseTypeName

    public java.lang.String getBaseTypeName()

  Get the base type name of this array.

  Specified by:
    `getBaseTypeName` in interface `java.sql.Array`
  Returns:
    "NULL"

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getResultSet` in interface `java.sql.Array`
  Throws:
    `java.sql.SQLException`

### getResultSet

    public java.sql.ResultSet getResultSet(java.util.Map<java.lang.String,java.lang.Class<?>> map)
                                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getResultSet` in interface `java.sql.Array`
  Throws:
    `java.sql.SQLException`

### getResultSet

    public java.sql.ResultSet getResultSet(long index,
                                           int count)
                                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getResultSet` in interface `java.sql.Array`
  Throws:
    `java.sql.SQLException`

### getResultSet

    public java.sql.ResultSet getResultSet(long index,
                                           int count,
                                           java.util.Map<java.lang.String,java.lang.Class<?>> map)
                                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getResultSet` in interface `java.sql.Array`
  Throws:
    `java.sql.SQLException`

### free

    public void free()

  INTERNAL

  Specified by:
    `free` in interface `java.sql.Array`